> For the complete documentation index, see [llms.txt](https://docs.hello-lisa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/cta/cta-sponsor-badge.md).

# CTA — Sponsor Badge

The LiSA Player generates a message whenever a sponsor badge in the Live Player is clicked.

This message is sent by the LiSA Player to the host app / environment.

### Properties

Along with all standard [CTA message properties](/developers/guides/player-communication/message-api-reference/cta.md#properties), a **Sponsor Badge** message includes the following additional properties:

<table><thead><tr><th width="243" valign="top">Name</th><th width="192" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>auxiliaryData</code></td><td valign="top"><pre><code>AuxiliaryData
</code></pre><p>Required.</p></td><td valign="top">The <code>auxiliaryData</code> property is an object that holds additional metadata related to a Call-to-Action. <br><br>Please refer to <a href="#auxiliarydata"><code>AuxiliaryData</code></a> for detailed information.</td></tr><tr><td valign="top"><code>ctaType</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>sponsor</code></td></tr></tbody></table>

#### Legacy Properties

{% hint style="warning" %}
If your integration uses **LiSA Player Version 1**, none of the properties described above will be available.

For **LiSA Player Version 2**, legacy properties can be ignored.
{% endhint %}

<table><thead><tr><th width="197" valign="top">Name</th><th width="190" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>action</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>click</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr><tr><td valign="top"><code>ctaId</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>sponsor-badge</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>ctaType</code> instead.</td></tr><tr><td valign="top"><code>ref</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>sponsor-badge</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>ctaType</code> instead.</td></tr><tr><td valign="top"><code>sponsorId</code></td><td valign="top"><pre><code>String
</code></pre><p>Optional.</p></td><td valign="top"><p></p><p>The <code>sponsorId</code> field represents a unique identifier for a sponsor.</p><ul><li>This ID can be used by the host app or environment to retrieve detailed sponsorship information.</li><li>It helps associate sponsored content, branding, or promotions with the relevant sponsor.</li></ul><p><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</p></td></tr><tr><td valign="top"><code>sponsorLabel</code></td><td valign="top"><pre><code>String
</code></pre><p>Required.</p></td><td valign="top">The <code>sponsorLabel</code> field represents the text displayed on the sponsor badge in the Player header.<br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>auxiliaryData.sponsorLabel</code> instead.</td></tr><tr><td valign="top"><code>target</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>cta</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr><tr><td valign="top"><code>type</code></td><td valign="top"><pre><code>Literal
</code></pre><p>Required.</p></td><td valign="top"><code>lsc:cta:click</code><br><br><span data-gb-custom-inline data-tag="emoji" data-code="26a0">⚠️</span> Please use <code>messageType</code> instead.</td></tr></tbody></table>

***

### Type Definition

```typescript
interface SponsorCtaMessage extends Omit<
  CtaMessage,
  'auxiliaryData' | 'ctaType'
> {
  auxiliaryData: SponsorCtaAuxiliaryData;
  ctaType: 'sponsor';
}
```

#### `AuxiliaryData`

<table><thead><tr><th width="196" valign="top">Name</th><th width="192" valign="top">Type</th><th valign="top">Description</th></tr></thead><tbody><tr><td valign="top"><code>sponsorId</code></td><td valign="top"><pre><code>String
</code></pre><p>Optional.</p></td><td valign="top"><p>The <code>sponsorId</code> field represents a unique identifier for a sponsor.</p><ul><li>This ID can be used by the host app or environment to retrieve detailed sponsorship information.</li><li>It helps associate sponsored content, branding, or promotions with the relevant sponsor.</li></ul></td></tr><tr><td valign="top"><code>sponsorLabel</code></td><td valign="top"><pre><code>String
</code></pre><p>Required.</p></td><td valign="top">The <code>sponsorLabel</code> field represents the text displayed on the sponsor badge in the Player header.</td></tr></tbody></table>

```typescript
interface SponsorCtaAuxiliaryData {
  sponsorId?: string;
  sponsorLabel: string;
}
```

### Examples

```json
{
  "clockDriftInMs": 0,
  "auxiliaryData": {
    "sponsorId": "LiSA",
    "sponsorLabel": "Sponsored"
  },
  "ctaType": "sponsor",
  "mediaItemId": "9f333331-45cb-4289-8bcd-9023c1871111",
  "mediaItemType": "live",
  "messageType": "lsc:cta:click",
  "progress": {
    "bufferedTimeInMs": 636036,
    "currentTimeInMs": 619609,
    "durationInMs": 4616000,
    "elapsedTimeInMs": 22761,
    "isLive": true,
    "isPlaying": true,
    "skipTimeInMs": 600000,
    "visitorDwellTimeInMs": 23882
  },
  "sender": "LiSA",

  "action": "click",
  "additional":  {
    "showDate": "2025-01-15T18:00:00.000Z",
    "showId": "9f333331-45cb-4289-8bcd-9023c1871111",
    "showName": "Shred the Slopes: The Ultimate Ski Gear Guide 🎿❄️",
    "showState": "live",
    "showTitle": "Shred the Slopes: The Ultimate Ski Gear Guide 🎿❄️",
    "playing": true,
    "time": 620
  },
  "ctaId": "sponsor-badge",
  "ref": "sponsor-badge",
  "target": "cta",
  "type": "lsc:cta:click"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hello-lisa.com/developers/guides/player-communication/message-api-reference/cta/cta-sponsor-badge.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
